﻿
/* ======= Contents ===========
    1. Document Structure
    2. Headings
    3. Form Elements
    4. Layout Rules
    5. Images
    6. Links
    7. Design Elements
    8. Visual Effects
    9. Print Styles
    ============================ */

html {
    font-size: 14px;
}

body {
    font-family: Segoe UI, Helvetica Neue, Lucida Grande, Arial, Helvetica, Verdana, sans-serif;
    font-size: 1em;
    color: #66667F;
    margin: 20px auto;
    width: 100%;
    background: rgb(176, 196, 222);
}

/* =========== 1. Document Structure ================= */
header {
    position: relative;
    padding: 7px; /* border-bottom: 2px solid #CF142B;*/
    height: 66px;
    background: #1B6996;
    background-position: left bottom;
    background-repeat: no-repeat;
    margin: 0;
}

.container {
    max-width: 1024px;
    background-color: #fff;
    margin: 20px auto 10px auto;
    box-shadow: 5px 5px 4px 0px gray;
}

.box {
    float: left;
    height: 24px;
    margin: 3px 3px 0 0;
    text-align: center;
    
}

.hackmack {
    background-color: #b4c5de;
    width: 212px;
    font-size: 0.9em;
    padding: 8px 0 0 0;
    -webkit-border-radius: 20px 0 0 0;
    border-radius: 20px 0 0 0;
}

.uni {
    background-color: #addbe2;
    width: 160px;
    font-size:0.9em;
    padding: 8px 0 0 0;
 
}

.section {
    background-color: #c1dec0;
    width: 160px;
    font-size: 1.2em;
    padding: 1px 0 3px 0;
    color:rgba(0,0,0,.9);
}

.title {
    background-color: #c1e1ed;
    width: 212px;
    font-size: 1.2em;
    padding: 1px 0 3px 0;
   color:rgba(0,0,0,.9);
}

.page {
    padding: 0px 12px;
    width: 90%;
    margin:  auto;
    min-height: 600px;
}


footer {
    color: #ccc;
    text-align: center;
    padding: 20px 10px 10px 10px;
    border-top: 1px solid #e5e5e5;
}

.outerbox {
    -webkit-border-radius: 30px 0 30px 0;
    border-radius: 30px 0 30px 0;
    box-shadow: 0 0 6px rgba(0,0,0,.3);
}

.innerbox {
    -webkit-border-radius: 30px 0 0 0;
    border-radius: 30px 0 0 0;
    box-shadow: 0 0 6px rgba(0,0,0,.3);
}


/* ===================  2. Headings =================== */
/* .h1-.h6 classes should be used to maintain the semantically appropriate heading levels - NOT for use on non-headings */
h1, h2, h3 {
    font-variant: small-caps;
    margin-top: 0.5em;
    margin-bottom: 0.2em;
    
}

h1, .h1 {
    font-size: 1.3em;
    font-weight: normal;
    font-style: normal;
    color: #66667F;
    
}

h2, .h2 {
    font-size: 1.2em;
    font-weight: normal;
    font-style: normal;
    color: #66667F;
    }

h3, .h3 {
    font-size: 1.1em;
    font-weight: normal;
    font-style: normal;
    color: #66667F;
   
}

h4, .h4 {
    font-size: 1.1em;
    font-weight: normal;
    font-style: normal;
    color: #66667F;
}

h5, .h5 {
    font-size: 1em;
    font-weight: bold;
    font-style: normal;
    color: #66667F;
}

h6, .h6 {
    font-size: 108%;
    font-weight: normal;
    font-style: italic;
    color: #66667F;
}

.SiteTitle {
    font-weight: 600;
    font-size: 1.25em;
    padding: 0;
    color: white;
    /* text-shadow:-1px -1px white, 1px 2px #333;*/
}


.pagetitle {
    text-align: center;
}

p {
    margin:0 auto 0.2em auto;
}
/* ============== 3. Form Elements ============ */

label {
    min-width: 4em;
    display: inline-block;
}


/* ==============  4. Layout Rules ================== */

.clearfix:before, .clearfix:after {
    content: "\0020";
    display: block;
    height: 0;
    overflow: hidden;
}

.clearfix:after {
    clear: both;
}

.clearfix {
    zoom: 1;
}

.center {
    text-align: center;
}

.toc {
    text-align: center;
}

/* =================== 5. Images ==================== */

.SiteLogo {
    position: absolute;
    left: 10px;
    top: 50px;
}

.UniLogo {
    position: absolute;
    right: 8px;
    top: 50px;
}

.centeredImage {
    display: block; /* img ist ein Inline-Element; um es mit margin:auto zu zentrieren, muss es in ein Block-Element umgewandelt werden*/
    margin: auto;
}

.leftImage {
    float:left;
    margin-right:10px;
    margin-bottom:10px;
}

.bottomlogos {
    display: block;
    position: relative;
    height: auto; /*100px;*/
    width: auto; /*700px;*/
    margin-left: auto;
    margin-right: auto;
    text-align: center;
}

.logolink {
    margin: 10px;
    height: 75px;
    width: auto;
}

.logolinks {
    display: block;
    margin: auto;
}

.logo {
    border: 1px solid #CF142B;
}




/* ------------------------------ */
/*        6.  Links                  */
/* ------------------------------ */
a {
    color: rgb(8, 75, 138);
    text-decoration: none;
}

    a:link, a:visited {
        color: rgb(8, 75, 138);
        text-decoration: none;
    }

    a:active {
        color: #034af3;
    }

    a:hover {
        text-decoration: none;
    }

    a:after {font-variant:small-caps}

    .email a:before{content: "\2709 "}

    .internal:after {content:" (\2192)";}

    .external:after {content:" (\2197)";}
 
    .pdf:after {content: " (pdf)"}

    .rtf:after {content:" (rtf)"}

    .swf:after {content: " (swf)"}
   
    .rss:after {content: " (rss)"}

    .video:after {content: " (video)"}

    .audio:after {content: " \1F50A"}

    .zip:after {content: " (zip)"}

    .html5:after {content: " (html5)"}

    .mailto:after {content:" \2709";}

.pubdate {
    margin: 0;
    padding-top: 3px;
    font-size: x-small;
}

/* ===========  7. Design Elements ============== */


.siteMap * {
    padding: 0;
    margin: 0;
}

.siteMap {
    float: left;
    font-size: 0.75em;
    line-height: 1.0;
    display: inline;
    margin: 0;
    padding: 0 0 0 20px;
}

    .siteMap li, .siteMap span {
        float: left;
        list-style-type: none;
        border-width: 0px;
    }

    .siteMap span {
        font-weight: bold;
    }

    .siteMap a, .siteMap a.Visited {
        text-decoration: none;
    }

option[selected] {
    color: white;
    background: #6CAADD;
}

select option:hover {
    color: white;
    background: #6CAADD;
}

.nobullets {
    list-style-type: none;
    list-style-image: none;
    margin-left: 1em;
    padding-left: 0;
}

ol.alpha_list, ol.Alpha_list {
    counter-reset: item;
    list-style: none;
}

ol.alpha_list li:before  {
        content: "(" counter(item, lower-latin) ") ";
        counter-increment: item;
    }

ol.Alpha_list li:before {
       content: "(" counter(item, upper-latin) ") ";
        counter-increment: item;
}

.smc, .term {font-variant:small-caps;}

/* Französische Anführungszeichen » « */
.guillemet:before {content:"»"}
.guillemet:after {content: "«"}

.indent {text-indent:2em;}
.hidden {visibility:hidden}
.student-quote
{
    font-family:'Times New Roman', Times, serif;
 
}

  .popup
        {
            cursor: url(book.cur), url(../../../../external.html?link=http://www.fb10.uni-bremen.de/homepages/hackmack), help;
           /*border-bottom:1px dashed;*/ 
        }

.hide {
    display: none;
}

.show {
    display: block;
}
/* ============= 8. Visual Effects ============ */
.box-shadow1 {
    box-shadow: 3px 3px 3px 3px gray;
}

.box-shadow2 {
    box-shadow: 3px 3px 2px 2px gray;
}

.box-shadow-white {
    box-shadow: 3px 3px 2px 2px white;
}

::-moz-selection {
    color: white;
    background: #6CAADD;
}

::selection {
    color: white;
    background: #6CAADD;
}

.gradient_bluish {
    /* IE10 */
    background-image: -ms-radial-gradient(right center, circle farthest-corner, #FFFFFF 0%, #1B6996 100%);
    /* Mozilla Firefox */
    background-image: -moz-radial-gradient(right center, circle farthest-corner, #FFFFFF 0%, #1B6996 100%);
    /* Opera */
    background-image: -o-radial-gradient(right center, circle farthest-corner, #FFFFFF 0%, #1B6996 100%);
    /* Webkit (Safari/Chrome 10) */
    background-image: -webkit-gradient(radial, right center, 0, right center, 989, color-stop(0, #FFFFFF), color-stop(1, #1B6996));
    /* Webkit (Chrome 11+) */
    background-image: -webkit-radial-gradient(right center, circle farthest-corner, #FFFFFF 0%, #1B6996 100%);
    /* Proposed W3C Markup */
    background-image: radial-gradient(right center, circle farthest-corner, #FFFFFF 0%, #1B6996 100%);
}

/*=================== Main-Subelemente ======================*/
main p {
    margin-top: 0;
    margin-bottom: 0.5em;
    font-size: 0.95em;
}
main ul, main ol {
    margin-top: 0;
    margin-bottom: 0.5em;
    font-size: 0.95em;
}
/* ---------------------------------------------------------
   Print styles
   ---------------------------------------------------------*/
@media print {
    * {
        color: #000 !important;
        box-shadow: none !important;
        text-shadow: none !important;
        background: transparent !important;
    }

    html {
        background-color: #fff;
    }
    /* Hide navigation */
    nav {
        display: none;
    }

    /* Show link destinations in brackets after the link text */
    a[href]:after {
        content: " (" attr(href) ") ";
    }

    a[href] {
        font-weight: bold;
        text-decoration: underline;
        color: #06c;
        border: none;
    }
    /* Don't show link destinations for JavaScript or internal links */
    a[href^="javascript:"]:after, a[href^="#"]:after {
        content: "";
    }

    /* Show abbr title value in brackets after the text */
    abbr[title]:after {
        content: " (" attr(title) ")";
    }

    figure {
        margin-bottom: 1em;
        overflow: hidden;
    }

        figure img {
            border: 1px solid #000;
        }
}
